package com.ashokit.ticketbooking;

import java.util.Date;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.ashokit.ticketbooking.model.Ticket;
import com.ashokit.ticketbooking.service.TicketService;

@SpringBootApplication
public class TicketbookingApplication implements CommandLineRunner{
	
	//CommandLineRunner ==> When we have some code to executed only once during execution
	//Ex: Static Data population, common code population
	
	@Autowired
	
	private TicketService ticketService;

	public static void main(String[] args) {
		SpringApplication.run(TicketbookingApplication.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		
		
		//We want to create dummy ticket
		
		Ticket inputObj=new Ticket();
		inputObj.setPassengerName("ASHOK");
		inputObj.setSourceStation("HYDERABAD");
		inputObj.setDestinationStation("GOA");
		inputObj.setTravelDate(new Date());
		inputObj.setEmail("ashok@gmail.com");
		
	
		ticketService.CreateTicket(inputObj);
		
	}

}
