package com.ashokit.ticketbooking.dao;

import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import com.ashokit.ticketbooking.model.Ticket;

@Repository
/*
 * 
 * It will check data base connection ==> If its not made already ==> It will create a new connection
 *                                    ==> If Connection is already Availble ==> It will use the existing connection 
 *                                    and uses the tables
 */
public interface TicketDao extends CrudRepository<Ticket, Integer> {
	
	/*
	 * 
	 * CRUDRepository is created for performing CRUD Operations. Developers no need wrote any boiler plate
	 * code for CRUD Opeartions. Two Inputs for this repository 1) Java Class Name 2) Data Type of PK
	 * 
	 * For every table common operations are ==> CRUD Operations
	 * 
	 * C ==> CREATE ==> INSERT ==> save 
	 * 
	 * R ==> READ ===> SELECT  ==> All ==> findAll
	 *                         ==> Specific Record  ==>findById
	 * 
	 * U ==> UPDATE ==> MODIFY ==> save
	 * 
	 * D ==> DELETE ==> DELETE ==>deleteById
	 */
	
	//Abstract Method
	public Ticket findByPassengerName(String passengerName);
	//Framework will provide implementation ==> select * from tbl_ticket where passenger_name=passengerName
		
		

}
